Index: cpukit/librpc/src/rpc/clnt_perror.c
===================================================================
--- cpukit/librpc/src/rpc/clnt_perror.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/clnt_perror.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -51,5 +51,5 @@
 #define CLNT_PERROR_BUFLEN 256
 
-#define buf ((char  *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->clnt_perror_buf)
+#define buf ((char  *)(rtems_rpc_task_variables)->clnt_perror_buf)
 
 static char *
Index: cpukit/librpc/src/rpc/clnt_raw.c
===================================================================
--- cpukit/librpc/src/rpc/clnt_raw.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/clnt_raw.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -61,5 +61,5 @@
 	u_int	mcnt;
 };
-#define clntraw_private ((struct clnt_raw_private *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->clnt_raw_private)
+#define clntraw_private ((struct clnt_raw_private *) (rtems_rpc_task_variables)->clnt_raw_private)
 
 static enum clnt_stat	clntraw_call();
Index: cpukit/librpc/src/rpc/clnt_simple.c
===================================================================
--- cpukit/librpc/src/rpc/clnt_simple.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/clnt_simple.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -56,5 +56,5 @@
 	char	*oldhost;
 };
-#define callrpc_private ((struct call_rpc_private *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->call_rpc_private)
+#define callrpc_private ((struct call_rpc_private *)(rtems_rpc_task_variables)->call_rpc_private)
 
 int
Index: cpukit/librpc/src/rpc/rpcdname.c
===================================================================
--- cpukit/librpc/src/rpc/rpcdname.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/rpcdname.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -44,5 +44,5 @@
 int getdomainname(char *, size_t);
 
-#define default_domain ((char *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->rpcdname_default_domain)
+#define default_domain ((char *)(rtems_rpc_task_variables)->rpcdname_default_domain)
 
 static char *
Index: cpukit/librpc/src/rpc/rtems_rpc.c
===================================================================
--- cpukit/librpc/src/rpc/rtems_rpc.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/rtems_rpc.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -10,5 +10,5 @@
  * RPC variables for single-thread
  */
-static struct rtems_rpc_task_variables rpc_default = {
+static struct _rtems_rpc_task_variables rpc_default = {
 	-1,		/* svc_maxfd */
 };
@@ -17,5 +17,5 @@
  * RPC values for initializing a new per-task set of variables
  */
-static const struct rtems_rpc_task_variables rpc_init = {
+static const struct _rtems_rpc_task_variables rpc_init = {
 	-1,		/* svc_maxfd */
 };
@@ -24,5 +24,5 @@
  * Per-task pointer to RPC data
  */
-void *rtems_rpc_task_variables = &rpc_default;
+struct _rtems_rpc_task_variables *rtems_rpc_task_variables = &rpc_default;
 
 /*
@@ -32,5 +32,5 @@
 {
 	rtems_status_code sc;
-	struct rtems_rpc_task_variables *tvp;
+	struct _rtems_rpc_task_variables *tvp;
 
 	if (rtems_rpc_task_variables == &rpc_default) {
Index: cpukit/librpc/src/rpc/svc.c
===================================================================
--- cpukit/librpc/src/rpc/svc.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/svc.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -50,6 +50,6 @@
 #include <rpc/pmap_clnt.h>
 
-#define xports ((SVCXPRT **)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->svc_xports)
-#define xportssize (((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->svc_xportssize)
+#define xports ((SVCXPRT **) rtems_rpc_task_variables->svc_xports)
+#define xportssize (rtems_rpc_task_variables->svc_xportssize)
 
 #define NULL_SVC ((struct svc_callout *)0)
@@ -70,5 +70,5 @@
 	void		    (*sc_dispatch)();
 };
-#define svc_head (struct svc_callout *)(((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->svc_svc_head)
+#define svc_head (struct svc_callout *)((rtems_rpc_task_variables)->svc_svc_head)
 
 static struct svc_callout *svc_find();
Index: cpukit/librpc/src/rpc/svc_auth.c
===================================================================
--- cpukit/librpc/src/rpc/svc_auth.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/svc_auth.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -88,5 +88,5 @@
 	struct	authsvc	  *next;
 };
-#define Auths ((struct authsvc *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->svc_auths_Auths)
+#define Auths ((struct authsvc *)(rtems_rpc_task_variables)->svc_auths_Auths)
 
 /*
Index: cpukit/librpc/src/rpc/svc_raw.c
===================================================================
--- cpukit/librpc/src/rpc/svc_raw.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/svc_raw.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -55,5 +55,5 @@
 	char	verf_body[MAX_AUTH_BYTES];
 };
-#define svcraw_private ((struct svc_raw_private *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->svc_raw_private)
+#define svcraw_private ((struct svc_raw_private *)(rtems_rpc_task_variables)->svc_raw_private)
 
 static bool_t		svcraw_recv();
Index: cpukit/librpc/src/rpc/svc_simple.c
===================================================================
--- cpukit/librpc/src/rpc/svc_simple.c	(revision 77469f8615731372ec25de9eed1f87c9af59a482)
+++ cpukit/librpc/src/rpc/svc_simple.c	(revision d16b2d3548c6308cc4fdcc034c42216f5a936bce)
@@ -57,7 +57,7 @@
 };
 static void universal();
-#define proglst ((struct prog_lst *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->svc_simple_proglst)
-#define pl ((struct prog_lst *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->svc_simple_pl)
-#define transp ((SVCXPRT *)((struct rtems_rpc_task_variables *)rtems_rpc_task_variables)->svc_simple_transp)
+#define proglst ((struct prog_lst *)(rtems_rpc_task_variables)->svc_simple_proglst)
+#define pl ((struct prog_lst *)(rtems_rpc_task_variables)->svc_simple_pl)
+#define transp ((SVCXPRT *)(rtems_rpc_task_variables)->svc_simple_transp)
 
 int
